Subject: bug#14732: Package dos-mode for ELPA

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Jul 2013 19:30:31 -0400

>> (1) I would be honored to prepare a patch to improve the syntax 
>> highlighting of `bat-generic-mode'. This patch would be based on existing 
>> functionality in `dos-mode' and would provide:
>> - highlighting of more commands: at attrib color date dir doskey endlocal 
>> erase fc find mkdir more move popd pushd rmdir setlocal sort time title 
>> type xcopy
>> - highlighting of more control flow keywords: cmd defined else equ exit 
>> geq gtr in leq lss neq
>> - highlighting of called script: call foo
>> - highlighting of %%variable: for %%X in (bark meow) do echo %%X
>> - highlighting of defined variable: if defined VAR

> I think we prefer this alternative, thanks.

Actually, I don't: I really dislike define-generic-mode, so while it's
OK to extend bat-generic-mode, the better way to do it is to define it
with define-derived-mode (at which point having "generic" in the name
makes no sense).

        Stefan